### Virtual Method

# EBackend CollectionBackend dup_resource_id

since: 3.6

#### Declaration [src]

    gchar*
    dup_resource_id (
      ECollectionBackend* backend,
      ESource* child_source
    )

#### Description [src]

Extracts the resource ID for `child_source`, which is supposed to be a stable and unique server-assigned identifier for the remote resource described by `child_source`. If `child_source` is not actually a child of the collection `EBackend:source` owned by `backend`, the function returns `NULL`.

The returned string should be freed with `g_free()` when no longer needed.

Available since: 3.6

#### Parameters

`child_source`

  Type: `ESource`

  An `ESource` managed by `backend`.

  The data is owned by the caller of the method.

#### Return value

Type: `gchar*`

A newly-allocated resource ID for `child_source`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.